| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Variables
EVAL-AD7124-8.ino File Reference

Exerciser program for ad2174 no-OS driver. More...

## Detailed Description

Exerciser program for ad2174 no-OS driver.

Author
  Mthoren

Copyright 2017(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Definition in file EVAL-AD7124-8.ino.

Go to the source code of this file.

## Functions
static void | setup ()
static void | loop ()

## Variables
struct ad7124_st_reg | my_ad7124_regs [AD7124_REG_NO]
spi_init_param | spi_params
ad7124_init_param | init_params
struct ad7124_dev | my_ad7124
struct ad7124_dev * | ad7124_handler = &my_ad7124
static int | regNr
long | timeout = 100
long | ret = 0
long | sample

## Function Documentation

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Definition at line 226 of file EVAL-AD7124-8.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Definition at line 149 of file EVAL-AD7124-8.ino.

## Variable Documentation

## ◆ ad7124_handler

struct ad7124_dev* ad7124_handler = &my_ad7124

Definition at line 141 of file EVAL-AD7124-8.ino.

## ◆ init_params

ad7124_init_param init_params

Initial value:
=
{
spi_params,
my_ad7124_regs,
64000,
}
spi_params
spi_init_param spi_params
Definition: EVAL-AD7124-8.ino:123
my_ad7124_regs
struct ad7124_st_reg my_ad7124_regs[AD7124_REG_NO]
Definition: EVAL-AD7124-8.ino:55

Definition at line 132 of file EVAL-AD7124-8.ino.

## ◆ my_ad7124

struct ad7124_dev my_ad7124

Definition at line 140 of file EVAL-AD7124-8.ino.

## ◆ my_ad7124_regs

struct ad7124_st_reg my_ad7124_regs[AD7124_REG_NO]

Definition at line 55 of file EVAL-AD7124-8.ino.

## ◆ regNr

int regNr
| static

Definition at line 143 of file EVAL-AD7124-8.ino.

## ◆ ret

long ret = 0

Definition at line 145 of file EVAL-AD7124-8.ino.

## ◆ sample

long sample

Definition at line 146 of file EVAL-AD7124-8.ino.

## ◆ spi_params

spi_init_param spi_params

Initial value:
=
{
GENERIC_SPI,
QUIKEVAL_CS,
1000000,
3,
QUIKEVAL_CS,
}
GENERIC_SPI
Definition: platform_drivers.h:92
QUIKEVAL_CS
#define QUIKEVAL_CS
QuikEval CS pin (SPI chip select on QuikEval connector pin 6) connects to Arduino SS pin...
Definition: Linduino.h:57

Definition at line 123 of file EVAL-AD7124-8.ino.

## ◆ timeout

long timeout = 100

Definition at line 144 of file EVAL-AD7124-8.ino.